Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0007016TestLinkAPI - XMLRPCpublic2015-03-20 16:122015-09-19 08:49
Reporteratisne 
Assigned Tofman 
PriorityhighSeverityblockReproducibilityalways
StatusclosedResolutionfixed 
PlatformGFASOSCentOS/RedHatOS Version5
Product Version1.9.13 (2015 #1) 
Fixed in Version1.9.14 (2015 Q3) 
Summary0007016: A project leader cannot create a test plan via the XMLRPC API
DescriptionA project leader can create a test plan using the web interface. But when he tries to create a test plan using the XMLRPC API (method createTestPlan),it fails with the message "User corresponding to Developer Key has insufficient rights to perform this action".
Steps To Reproduce1- Create a user with project leader privilege
2- Generate an API Key
3- Use this Key to connect and create a test plan on the test project
Additional InformationThe function createTestPlan check the right 'mgt_modify_product'. The project leader role seems to not have this right.
The web interface seems to check the role 'mgt_testplan_create'.
It's OK using the right 'mgt_testplan_create' in the function createTestPlan.
TagsNo tags attached.
Database (MySQL,Postgres,etc)Postgres
BrowserFirefox
PHP Version5.4.34
TestCaseID
QA Team - Task Workflow StatusTBD
Attached Files

- Relationships
child of 0006830closedfman Availables hot-fixes for 1.9.13 & How To get full fixed package from GitHub 

-  Notes
(0022943)
fman (administrator)
2015-03-21 08:52

Thanks for hint
(0023975)
fman (administrator)
2015-09-19 08:49

1.9.14 Padawan - released - 2015-09-19

- Issue History
Date Modified Username Field Change
2015-03-20 16:12 atisne New Issue
2015-03-21 08:52 fman Note Added: 0022943
2015-03-21 14:34 fman QA Team - Task Workflow Status => TBD
2015-03-21 14:34 fman Fixed in Version => 1.9.14 (2015 Q3)
2015-03-21 14:34 fman Status new => resolved
2015-03-21 14:34 fman Resolution open => fixed
2015-03-21 14:34 fman Assigned To => fman
2015-03-21 14:35 fman Relationship added child of 0006830
2015-09-19 08:49 fman Note Added: 0023975
2015-09-19 08:49 fman Status resolved => closed



Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker